Bug 147946 - Man::Pod does not return true
Man::Pod does not return true
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: perl (Show other bugs)
3.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Jason Vas Dias
David Lawrence
:
Depends On:
Blocks: 168424
  Show dependency treegraph
 
Reported: 2005-02-13 15:38 EST by Jason Gallagher
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2005-881
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-20 09:58:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Gallagher 2005-02-13 15:38:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3) Gecko/20050104 Red Hat/1.4.3-3.0.7

Description of problem:
All modules should return true if they load successfully. Man::Pod doesn't.

Version-Release number of selected component (if applicable):
perl-5.8.0-89.10

How reproducible:
Always

Steps to Reproduce:
1. perl -we 'eval "require Pod::Man"; print $@'
2.
3.
  

Actual Results:  Produced the following output:

Pod/Man.pm did not return a true value at (eval 1) line 3.

Expected Results:  Shouldn't have printed anything.

Additional info:

Add a final line which evaluates to true, e.g. "1;". This has been fixed in the current stable version of Perl (5.8.6).
Comment 1 Jason Vas Dias 2005-11-08 20:37:36 EST
This is fixed with perl-5.8.0-90.2 .
Comment 5 Red Hat Bugzilla 2005-12-20 09:58:19 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-881.html

Note You need to log in before you can comment on or make changes to this bug.